Public constructor

param

  jupyter-js-services IKernel instance

### Hierarchy

- CommManager

## Index

### Constructors

- constructor

### Properties

- jsServicesKernel
- kernel
- targets

### Methods

- init_kernel
- new_comm
- register_target
- unregister_target

## Constructors

### constructor

- new CommManager(jsServicesKernel: IKernel): CommManager

- - Defined in services-shim.ts:25

  #### Parameters

  - ##### jsServicesKernel: IKernel

  #### Returns CommManager

## Properties

### jsServicesKernel

jsServicesKernel: IKernel = null

- Defined in services-shim.ts:90

### kernel

kernel: IKernel = null

- Defined in services-shim.ts:89

### targets

targets: any = Object.create(null)

- Defined in services-shim.ts:88

## Methods

### init_kernel

- init_kernel(jsServicesKernel: any): void

- - Defined in services-shim.ts:34

  Hookup kernel events.

  #### Parameters

  - ##### jsServicesKernel: any

    jupyter-js-services IKernel instance

  #### Returns void

### new_comm

- new_comm(target_name: string, data: any, callbacks: any, metadata: any, comm_id: string): Comm

- - Defined in services-shim.ts:48

  Creates a new connected comm

  #### Parameters

  - ##### target_name: string

  - ##### data: any

  - ##### callbacks: any

  - ##### metadata: any

  - ##### comm_id: string

  #### Returns Comm

### register_target

- register_target(target_name: any, f: any): void

- - Defined in services-shim.ts:60

  Register a comm target

  #### Parameters

  - ##### target_name: any

  - ##### f: any

    callback that is called when the comm is made. Signature of f(comm, msg).

  #### Returns void

### unregister_target

- unregister_target(target_name: any, f: any): void

- - Defined in services-shim.ts:82

  Unregisters a comm target

  #### Parameters

  - ##### target_name: any

  - ##### f: any

  #### Returns void

Generated using TypeDoc